ON_Ellipse Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_ellipse.h>`

## Public Member Functions

| ON_Ellipse ()
| ON_Ellipse (const ON_Plane &, double, double)
| ON_Ellipse (const ON_Circle &)
| ~ON_Ellipse ()
ON_Ellipse & | operator= (const ON_Circle &)
ON_BOOL32 | Create (const ON_Plane &, double, double)
ON_BOOL32 | Create (const ON_Circle &)
ON_BOOL32 | IsValid () const
ON_BOOL32 | IsCircle () const
double | Radius (int) const
const ON_3dPoint & | Center () const
const ON_3dVector & | Normal () const
const ON_Plane & | Plane () const
double | FocalDistance () const
bool | GetFoci (ON_3dPoint &F1, ON_3dPoint &F2) const
ON_3dPoint | PointAt (double) const
ON_3dVector | DerivativeAt (int, double) const
ON_3dVector | TangentAt (double) const
ON_3dVector | CurvatureAt (double) const
ON_BOOL32 | ClosestPointTo (const ON_3dPoint &, double *) const
ON_3dPoint | ClosestPointTo (const ON_3dPoint &) const
double | EquationAt (const ON_2dPoint &) const
ON_2dVector | GradientAt (const ON_2dPoint &) const
ON_BOOL32 | Rotate (double, double, const ON_3dVector &)
ON_BOOL32 | Rotate (double, const ON_3dVector &)
ON_BOOL32 | Rotate (double, double, const ON_3dVector &, const ON_3dPoint &)
ON_BOOL32 | Rotate (double, const ON_3dVector &, const ON_3dPoint &)
ON_BOOL32 | Translate (const ON_3dVector &)
int | GetNurbForm (ON_NurbsCurve &) const

## Public Attributes

ON_Plane | plane
double | radius [2]

## Detailed Description

Definition at line 23 of file opennurbs_ellipse.h.

## Constructor & Destructor Documentation

ON_Ellipse::ON_Ellipse | ( |  | ) |

ON_Ellipse::ON_Ellipse | ( | const ON_Plane & | ,
|  | double | ,
|  | double |
| ) |  |

ON_Ellipse::ON_Ellipse | ( | const ON_Circle & |  | ) |

ON_Ellipse::~ON_Ellipse | ( |  | ) |

## Member Function Documentation

const ON_3dPoint& ON_Ellipse::Center | ( |  | ) | const

ON_BOOL32 ON_Ellipse::ClosestPointTo | ( | const ON_3dPoint & | ,
|  | double * |
| ) |  | const

ON_3dPoint ON_Ellipse::ClosestPointTo | ( | const ON_3dPoint & |  | ) | const

ON_BOOL32 ON_Ellipse::Create | ( | const ON_Plane & | ,
|  | double | ,
|  | double |
| ) |  |

ON_BOOL32 ON_Ellipse::Create | ( | const ON_Circle & |  | ) |

ON_3dVector ON_Ellipse::CurvatureAt | ( | double |  | ) | const

ON_3dVector ON_Ellipse::DerivativeAt | ( | int | ,
|  | double |
| ) |  | const

double ON_Ellipse::EquationAt | ( | const ON_2dPoint & |  | ) | const

double ON_Ellipse::FocalDistance | ( |  | ) | const

bool ON_Ellipse::GetFoci | ( | ON_3dPoint & | F1,
|  | ON_3dPoint & | F2
| ) |  | const

int ON_Ellipse::GetNurbForm | ( | ON_NurbsCurve & |  | ) | const

ON_2dVector ON_Ellipse::GradientAt | ( | const ON_2dPoint & |  | ) | const

ON_BOOL32 ON_Ellipse::IsCircle | ( |  | ) | const

ON_BOOL32 ON_Ellipse::IsValid | ( |  | ) | const

const ON_3dVector& ON_Ellipse::Normal | ( |  | ) | const

ON_Ellipse& ON_Ellipse::operator= | ( | const ON_Circle & |  | ) |

const ON_Plane& ON_Ellipse::Plane | ( |  | ) | const

ON_3dPoint ON_Ellipse::PointAt | ( | double |  | ) | const

double ON_Ellipse::Radius | ( | int |  | ) | const

ON_BOOL32 ON_Ellipse::Rotate | ( | double | ,
|  | double | ,
|  | const ON_3dVector & |
| ) |  |

ON_BOOL32 ON_Ellipse::Rotate | ( | double | ,
|  | const ON_3dVector & |
| ) |  |

ON_BOOL32 ON_Ellipse::Rotate | ( | double | ,
|  | double | ,
|  | const ON_3dVector & | ,
|  | const ON_3dPoint & |
| ) |  |

ON_BOOL32 ON_Ellipse::Rotate | ( | double | ,
|  | const ON_3dVector & | ,
|  | const ON_3dPoint & |
| ) |  |

ON_3dVector ON_Ellipse::TangentAt | ( | double |  | ) | const

ON_BOOL32 ON_Ellipse::Translate | ( | const ON_3dVector & |  | ) |

## Member Data Documentation

ON_Plane ON_Ellipse::plane

Definition at line 131 of file opennurbs_ellipse.h.

double ON_Ellipse::radius[2]

Definition at line 132 of file opennurbs_ellipse.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_ellipse.h